Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037661
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2018-01-17 12:482018-02-22 18:18
ReportermaiteView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision550edfd03abe
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037661: Wrong navigation from Journal Entries Report when using Simple GL Journal

DescriptionWhen clicking on "entry number" you are carried to GL Journal instead of Simple GL Journal so no entry is loaded
Steps To Reproduce1. Register Simple GL Journal for valid date and using any accounts. Process and Post document
2. Run Journal Entries Report setting valid dates to see previous entry
3. Click on entry number to navigate to Simple GL Journal document and realize that navigation is wrong
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0034193 closedTriage Finance General Ledger Report Navigation to Simple G/l Journal does not wrok 

-  Notes
(0101982)
collazoandy4 (developer)
2018-01-25 21:50
edited on: 2018-01-29 11:49

Test Plan
  Go to Simple G/L Journal window and create a new record:
    Description: Issue
    Create two new records in Lines tab:
      1. Account: 10000 - Capital social, Debit: 5
      2. Account: 10100 - Fondo social, Credit: 5
    Complete the record
    Post the record
    Go to the Journal Entries Report opened and clic on Entry column and check Simple G/L Journal record is opened and select the previos record created
  Go to the Journal Entries Report window and set from date: Today, clic on Search button and check when you clic on Entry column Simple G/L Journal window is opened and select the previous record created

Test Plan II
  Go to G/L Journal window and create a new record:
    Description: Issue2
    Create a new record in Header tab:
      Description: Issue
      Create two new records in Lines tab:
        1. Account: 10000 - Capital social, Debit: 5
        2. Account: 10100 - Fondo social, Credit: 5
      Complete the record
      Post the record
      Go to the Journal Entries Report opened and click on Entry column and check G/L Journal record is opened and select the previous record created
  Go to the Journal Entries Report window and set from date: Today, click on Search button and check when you click on Entry column G/L Journal window is opened and select the previous record created

(0102012)
hgbot (developer)
2018-01-29 12:02

Repository: erp/devel/pi
Changeset: 550edfd03abe80007a00f75da1320910c86cc020
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Jan 25 10:02:21 2018 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/550edfd03abe80007a00f75da1320910c86cc020 [^]

Fixes issue 37661:Wrong navigation from Journal Entries Report when using Simple
GL Journal

In the Journal Entries Report the documents created using Simple GL Journal a wrong
navigation was get by clicking on "entry number" you are carried to GL Journal instead
of Simple GL Journal so no entry is loaded.

A new navegation rule is created to open Simple GL Journal window when journalBatch
is null, also the query was modified to properly set the tab_id taking into account
the journal batch value

---
M src-db/database/sourcedata/AD_TABLE_NAVIGATION.xml
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal.java
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal_data.xsql
M src/org/openbravo/erpCommon/utility/ReferencedLink.java
---
(0102013)
hgbot (developer)
2018-01-29 12:03

Repository: erp/devel/pi
Changeset: 97a6ea89415e321ee186b06eb3c11a2808bfa656
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Jan 29 09:53:59 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/97a6ea89415e321ee186b06eb3c11a2808bfa656 [^]

Related to Issue 37661.

Removed call to addDataToResponse when not needed.

---
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal.java
---
(0102014)
dmiguelez (developer)
2018-01-29 12:04

Code Review + Testing Ok
(0102692)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102693)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-01-17 12:48 maite New Issue
2018-01-17 12:48 maite Assigned To => Triage Finance
2018-01-17 12:48 maite Modules => Core
2018-01-17 12:48 maite Triggers an Emergency Pack => No
2018-01-17 12:48 maite Issue Monitored: networkb
2018-01-17 12:53 Practics Issue Monitored: Practics
2018-01-18 16:10 dmiguelez Assigned To Triage Finance => collazoandy4
2018-01-24 17:50 collazoandy4 Status new => scheduled
2018-01-25 21:50 collazoandy4 Note Added: 0101982
2018-01-29 11:49 dmiguelez Note Edited: 0101982 View Revisions
2018-01-29 12:02 hgbot Checkin
2018-01-29 12:02 hgbot Note Added: 0102012
2018-01-29 12:03 hgbot Status scheduled => resolved
2018-01-29 12:03 hgbot Resolution open => fixed
2018-01-29 12:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/550edfd03abe80007a00f75da1320910c86cc020 [^]
2018-01-29 12:03 hgbot Checkin
2018-01-29 12:03 hgbot Note Added: 0102013
2018-01-29 12:04 dmiguelez Review Assigned To => dmiguelez
2018-01-29 12:04 dmiguelez Note Added: 0102014
2018-01-29 12:04 dmiguelez Status resolved => closed
2018-01-29 12:04 dmiguelez Fixed in Version => 3.0PR18Q2
2018-02-01 16:30 ngarcia Relationship added has duplicate 0034193
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102692
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102693


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker